require ("AnAL")
require("game")
require("gameover")

function love.load()
	state = "game"
	
	if state == "game" then
		game.load()
	end
	if state == "gameover" then
		gameover.load()
	end
	mainfont = love.graphics.newFont("font.ttf", 22)
	
	love.graphics.setFont(mainfont)
end

function love.draw()
	if state == "game" then
		game.draw()
	end
	if state == "gameover" then
		gameover.draw()
	end
end

function love.update(dt)
	if state == "game" then
		game.update(dt)
	end
	if state == "gameover" then
		gameover.update(dt)
	end
end

function love.keypressed(key)
	if state == "gameover" then
		gameover.keypressed(key)
	end
end


